/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef BASEMEM_PACKET_H
#define BASEMEM_PACKET_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <realmode.h>

/** Maximum length of base memory packet buffer */
#define BASEMEM_PACKET_LEN 1514

/** Base memory packet buffer */
extern char __bss16_array ( basemem_packet, [BASEMEM_PACKET_LEN] );
#define basemem_packet __use_data16 ( basemem_packet )

#endif /* BASEMEM_PACKET_H */
