/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 */

#ifndef BIOS_H
#define BIOS_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#define BDA_SEG 0x0040
#define BDA_FBMS 0x0013
#define BDA_RESET_FLAG 0x0072
#define BDA_NUM_DRIVES 0x0075

#define BIOS_RESET_FLAG_WARM_BOOT 0x1234

#endif /* BIOS_H */
